package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class main_subs_0 {


public static RemoteObject  _activity_actionbarhomeclick() throws Exception{
try {
		Debug.PushSubsStack("Activity_ActionBarHomeClick (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,35);
if (RapidSub.canDelegate("activity_actionbarhomeclick")) { return SHARK2.keymon.com.mx.main.remoteMe.runUserSub(false, "main","activity_actionbarhomeclick");}
 BA.debugLineNum = 35;BA.debugLine="Sub Activity_ActionBarHomeClick";
Debug.ShouldStop(4);
 BA.debugLineNum = 36;BA.debugLine="ActionBarHomeClicked = True";
Debug.ShouldStop(8);
main._actionbarhomeclicked = main.mostCurrent.__c.getField(true,"True");
 BA.debugLineNum = 37;BA.debugLine="B4XPages.Delegate.Activity_ActionBarHomeClick";
Debug.ShouldStop(16);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (SHARK2.keymon.com.mx.b4xpagesdelegator.class, "_activity_actionbarhomeclick" /*RemoteObject*/ );
 BA.debugLineNum = 38;BA.debugLine="ActionBarHomeClicked = False";
Debug.ShouldStop(32);
main._actionbarhomeclicked = main.mostCurrent.__c.getField(true,"False");
 BA.debugLineNum = 39;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,27);
if (RapidSub.canDelegate("activity_create")) { return SHARK2.keymon.com.mx.main.remoteMe.runUserSub(false, "main","activity_create", _firsttime);}
RemoteObject _pm = RemoteObject.declareNull("SHARK2.keymon.com.mx.b4xpagesmanager");
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 27;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(67108864);
 BA.debugLineNum = 28;BA.debugLine="Dim pm As B4XPagesManager";
Debug.ShouldStop(134217728);
_pm = RemoteObject.createNew ("SHARK2.keymon.com.mx.b4xpagesmanager");Debug.locals.put("pm", _pm);
 BA.debugLineNum = 29;BA.debugLine="pm.Initialize(Activity)";
Debug.ShouldStop(268435456);
_pm.runClassMethod (SHARK2.keymon.com.mx.b4xpagesmanager.class, "_initialize" /*RemoteObject*/ ,main.mostCurrent.activityBA,(Object)(main.mostCurrent._activity));
 BA.debugLineNum = 30;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_keypress(RemoteObject _keycode) throws Exception{
try {
		Debug.PushSubsStack("Activity_KeyPress (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,41);
if (RapidSub.canDelegate("activity_keypress")) { return SHARK2.keymon.com.mx.main.remoteMe.runUserSub(false, "main","activity_keypress", _keycode);}
Debug.locals.put("KeyCode", _keycode);
 BA.debugLineNum = 41;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
Debug.ShouldStop(256);
 BA.debugLineNum = 42;BA.debugLine="Return B4XPages.Delegate.Activity_KeyPress(KeyCod";
Debug.ShouldStop(512);
if (true) return main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (SHARK2.keymon.com.mx.b4xpagesdelegator.class, "_activity_keypress" /*RemoteObject*/ ,(Object)(_keycode));
 BA.debugLineNum = 43;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,49);
if (RapidSub.canDelegate("activity_pause")) { return SHARK2.keymon.com.mx.main.remoteMe.runUserSub(false, "main","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 49;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(65536);
 BA.debugLineNum = 50;BA.debugLine="B4XPages.Delegate.Activity_Pause";
Debug.ShouldStop(131072);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (SHARK2.keymon.com.mx.b4xpagesdelegator.class, "_activity_pause" /*RemoteObject*/ );
 BA.debugLineNum = 51;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_permissionresult(RemoteObject _permission,RemoteObject _result) throws Exception{
try {
		Debug.PushSubsStack("Activity_PermissionResult (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,53);
if (RapidSub.canDelegate("activity_permissionresult")) { return SHARK2.keymon.com.mx.main.remoteMe.runUserSub(false, "main","activity_permissionresult", _permission, _result);}
Debug.locals.put("Permission", _permission);
Debug.locals.put("Result", _result);
 BA.debugLineNum = 53;BA.debugLine="Sub Activity_PermissionResult (Permission As Strin";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 54;BA.debugLine="B4XPages.Delegate.Activity_PermissionResult(Permi";
Debug.ShouldStop(2097152);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (SHARK2.keymon.com.mx.b4xpagesdelegator.class, "_activity_permissionresult" /*RemoteObject*/ ,(Object)(_permission),(Object)(_result));
 BA.debugLineNum = 55;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,45);
if (RapidSub.canDelegate("activity_resume")) { return SHARK2.keymon.com.mx.main.remoteMe.runUserSub(false, "main","activity_resume");}
 BA.debugLineNum = 45;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(4096);
 BA.debugLineNum = 46;BA.debugLine="B4XPages.Delegate.Activity_Resume";
Debug.ShouldStop(8192);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (SHARK2.keymon.com.mx.b4xpagesdelegator.class, "_activity_resume" /*RemoteObject*/ );
 BA.debugLineNum = 47;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _create_menu(RemoteObject _menu) throws Exception{
try {
		Debug.PushSubsStack("Create_Menu (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,57);
if (RapidSub.canDelegate("create_menu")) { return SHARK2.keymon.com.mx.main.remoteMe.runUserSub(false, "main","create_menu", _menu);}
Debug.locals.put("Menu", _menu);
 BA.debugLineNum = 57;BA.debugLine="Sub Create_Menu (Menu As Object)";
Debug.ShouldStop(16777216);
 BA.debugLineNum = 58;BA.debugLine="B4XPages.Delegate.Create_Menu(Menu)";
Debug.ShouldStop(33554432);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (SHARK2.keymon.com.mx.b4xpagesdelegator.class, "_create_menu" /*RemoteObject*/ ,(Object)(_menu));
 BA.debugLineNum = 59;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 23;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 25;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main_subs_0._process_globals();
appupdater_subs_0._process_globals();
mapa_cliente_subs_0._process_globals();
mapa_rutas_subs_0._process_globals();
notificationservice_subs_0._process_globals();
pendientes_subs_0._process_globals();
starter_subs_0._process_globals();
subs_subs_0._process_globals();
tracker_subs_0._process_globals();
newinst2_subs_0._process_globals();
b4xpages_subs_0._process_globals();
b4xcollections_subs_0._process_globals();
httputils2service_subs_0._process_globals();
xuiviewsutils_subs_0._process_globals();
main.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.main");
appupdater.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.appupdater");
b4xmainpage.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xmainpage");
batteryutilities.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.batteryutilities");
c_cliente.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_cliente");
c_clientes.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_clientes");
c_cuestionario.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_cuestionario");
c_historico.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_historico");
c_mapas.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_mapas");
c_nota.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_nota");
c_noventa.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_noventa");
c_principal.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_principal");
c_nuevocliente.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_nuevocliente");
c_pedidos.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_pedidos");
c_productos.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_productos");
c_promos.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_promos");
c_respaldodiario.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_respaldodiario");
c_subs.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_subs");
c_tabulador.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_tabulador");
c_ticketsdia.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_ticketsdia");
c_updateavailable.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.c_updateavailable");
dbrequestmanager.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.dbrequestmanager");
escposprinter.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.escposprinter");
filehandler.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.filehandler");
manageexternalstorage.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.manageexternalstorage");
mapa_cliente.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.mapa_cliente");
mapa_rutas.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.mapa_rutas");
notificationservice.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.notificationservice");
pendientes.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.pendientes");
starter.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.starter");
subs.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.subs");
tracker.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.tracker");
cl_appupdate.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.cl_appupdate");
newinst2.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.newinst2");
b4xpages.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xpages");
b4xbitset.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xbitset");
b4xbytesbuilder.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xbytesbuilder");
b4xcache.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xcache");
b4xcollections.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xcollections");
b4xcomparatorsort.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xcomparatorsort");
b4xorderedmap.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xorderedmap");
b4xset.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xset");
b4xpagesdelegator.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xpagesdelegator");
b4xpagesmanager.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xpagesmanager");
fileprovider.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.fileprovider");
httputils2service.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.httputils2service");
httpjob.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.httpjob");
animatedcounter.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.animatedcounter");
anotherprogressbar.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.anotherprogressbar");
b4xbreadcrumb.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xbreadcrumb");
b4xcolortemplate.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xcolortemplate");
b4xcombobox.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xcombobox");
b4xdatetemplate.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xdatetemplate");
b4xdialog.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xdialog");
b4xfloattextfield.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xfloattextfield");
b4ximageview.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4ximageview");
b4xinputtemplate.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xinputtemplate");
b4xlisttemplate.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xlisttemplate");
b4xloadingindicator.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xloadingindicator");
b4xlongtexttemplate.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xlongtexttemplate");
b4xplusminus.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xplusminus");
b4xradiobutton.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xradiobutton");
b4xsearchtemplate.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xsearchtemplate");
b4xseekbar.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xseekbar");
b4xsignaturetemplate.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xsignaturetemplate");
b4xswitch.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xswitch");
b4xtimedtemplate.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xtimedtemplate");
madewithlove.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.madewithlove");
b4xformatter.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.b4xformatter");
roundslider.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.roundslider");
scrollinglabel.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.scrollinglabel");
swiftbutton.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.swiftbutton");
xuiviewsutils.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.xuiviewsutils");
preoptimizedclv.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.preoptimizedclv");
map2xml.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.map2xml");
xml2map.myClass = BA.getDeviceClass ("SHARK2.keymon.com.mx.xml2map");
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 19;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 20;BA.debugLine="Public ActionBarHomeClicked As Boolean";
main._actionbarhomeclicked = RemoteObject.createImmutable(false);
 //BA.debugLineNum = 21;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}